Bug 531849 - gssapi patch from 4.3p2 (patch49) causes gssapi failures when host is accessed via pipe proxy
gssapi patch from 4.3p2 (patch49) causes gssapi failures when host is accesse...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-29 12:45 EDT by Richard Monk
Modified: 2010-11-04 07:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 627139 (view as bug list)
Environment:
Last Closed: 2010-11-04 07:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to revert to old gssapi hostname behaviour if get_canonical_hostname fails (813 bytes, patch)
2009-10-29 12:45 EDT, Richard Monk
no flags Details | Diff

  None (edit)
Description Richard Monk 2009-10-29 12:45:21 EDT
Created attachment 366662 [details]
Patch to revert to old gssapi hostname behaviour if get_canonical_hostname fails

Description of problem:
The patch openssh-4.3p2-gssapi-canohost.patch , named patch49 in the spec file, fixes an instance where the DNS name changes such as a DNS round robin.  The problem is that if for any reason get_canonical_hostname returns "UNKNOWN", such as the case where the connection is not a socket connection but a pipe (ProxyConnect nc ... ) then gssapi will always fail.

This patch replaces the older patch so that it reverts to the old pre-patch behavior if get_canonical_hostname fails.  The older behavior uses the hostname provided by the user.

Steven (smilner@redhat.com) mentioned also that using the string "UNKNOWN" as a failure might cause problems with the corner case of a host named "unknown".  Possibly a better failure return for get_canonical_hostname would help there (a null string?)

Version-Release number of selected component (if applicable):
openssh-5.2p1-28

How reproducible:
Attempt to use GSSAPI auth through a pipe proxy

Steps to Reproduce:
1. ssh -D 9999 my.bastion.host -N -f
2. ssh -oProxyCommand="/usr/bin/nc -X 5 -x localhost:9999 %h %p" my.host.with.gssapi
  
Actual results:
GSSAPI tries to canonicalize "UNKNOWN" via DNS queries and fails.

Expected results:
GSSAPI auth works correctly and allows access.
Comment 1 Jan F. Chadima 2009-11-02 08:37:07 EST
Patch applied in f13 and f12 also.
Comment 2 Bug Zapper 2009-11-16 09:36:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-11-04 03:01:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Richard Monk 2010-11-04 07:36:07 EDT
I believe this patch was accepted awhile ago, I see it in the current F14 openssh RPM.

Note You need to log in before you can comment on or make changes to this bug.